Macros
WPXFileStructure.h File Reference

Go to the source code of this file.

## Macros
#define | WPX_NUM_WPUS_PER_INCH 1200
#define | WPX_HEADER_MAGIC_OFFSET 1
#define | WPX_HEADER_DOCUMENT_POINTER_OFFSET 4
#define | WPX_HEADER_PRODUCT_TYPE_OFFSET 8
#define | WPX_HEADER_FILE_TYPE_OFFSET 9
#define | WPX_HEADER_MAJOR_VERSION_OFFSET 10
#define | WPX_HEADER_MINOR_VERSION_OFFSET 11
#define | WPX_HEADER_ENCRYPTION_OFFSET 12
#define | WPX_NUM_HEADER_FOOTER_TYPES 6
#define | WPX_HEADER_A 0x00
#define | WPX_HEADER_B 0x01
#define | WPX_FOOTER_A 0x02
#define | WPX_FOOTER_B 0x03
#define | WPX_WATERMARK_A 0x04
#define | WPX_WATERMARK_B 0x05
#define | WPX_CHARACTER 0x00
#define | WPX_PARAGRAPH 0x01
#define | WPX_PAGE 0x01

## Macro Definition Documentation

## ◆ WPX_CHARACTER

#define WPX_CHARACTER 0x00

## ◆ WPX_FOOTER_A

#define WPX_FOOTER_A 0x02

## ◆ WPX_FOOTER_B

#define WPX_FOOTER_B 0x03

## ◆ WPX_HEADER_A

#define WPX_HEADER_A 0x00

## ◆ WPX_HEADER_B

#define WPX_HEADER_B 0x01

## ◆ WPX_HEADER_DOCUMENT_POINTER_OFFSET

#define WPX_HEADER_DOCUMENT_POINTER_OFFSET 4

## ◆ WPX_HEADER_ENCRYPTION_OFFSET

#define WPX_HEADER_ENCRYPTION_OFFSET 12

## ◆ WPX_HEADER_FILE_TYPE_OFFSET

#define WPX_HEADER_FILE_TYPE_OFFSET 9

## ◆ WPX_HEADER_MAGIC_OFFSET

#define WPX_HEADER_MAGIC_OFFSET 1

## ◆ WPX_HEADER_MAJOR_VERSION_OFFSET

#define WPX_HEADER_MAJOR_VERSION_OFFSET 10

## ◆ WPX_HEADER_MINOR_VERSION_OFFSET

#define WPX_HEADER_MINOR_VERSION_OFFSET 11

## ◆ WPX_HEADER_PRODUCT_TYPE_OFFSET

#define WPX_HEADER_PRODUCT_TYPE_OFFSET 8

## ◆ WPX_NUM_HEADER_FOOTER_TYPES

#define WPX_NUM_HEADER_FOOTER_TYPES 6

## ◆ WPX_NUM_WPUS_PER_INCH

#define WPX_NUM_WPUS_PER_INCH 1200

## ◆ WPX_PAGE

#define WPX_PAGE 0x01

## ◆ WPX_PARAGRAPH

#define WPX_PARAGRAPH 0x01

## ◆ WPX_WATERMARK_A

#define WPX_WATERMARK_A 0x04

## ◆ WPX_WATERMARK_B

#define WPX_WATERMARK_B 0x05